/* clearing */
.stretch,.clear {
	clear: both;
	height: 1px;
	margin: 0;
	padding: 0;
	font-size: 15px;
	line-height: 1px;
}

.clearfix:after {
	content: ".";
	display: block;
	height: 0;
	clear: both;
	visibility: hidden;
}

* html>body .clearfix {
	display: inline-block;
	width: 100%;
}

* html .clearfix { /* Hides from IE-mac \*/
	height: 1%;
	/* End hide from IE-mac */
}

/* replace */
.replace {
	display: block;
	background-repeat: no-repeat;
	background-position: left top;
	background-color: transparent;
}

/* tidy these up */
.replace * {
	text-indent: -10000px;
	display: block;
	background-repeat: no-repeat;
	background-position: left top;
	background-color: transparent;
}

.replace a {
	text-indent: 0;
}

.replace a span {
	text-indent: -10000px;
}

/* general */

.right {
	float: right;
}